#!/bin/bash
# verze 1.0 (c) 2017 Vaclav Jansa, Osvobozena knihovna, z.s.


echo "Filtruji neplatne datafieldy"
date
xml_grep  --exclude='datafield[@tag="MOR"]' --exclude='controlfield[@tag="FMT"]' \
 --exclude='datafield[@tag="BIO"]' --exclude='datafield[@tag="COR"]' \
 --exclude='datafield[@tag="GPS"]' --exclude='datafield[@tag="R00"]' \
 --exclude='datafield[@tag="R10"]' --exclude='datafield[@tag="R11"]' \
 --exclude='datafield[@tag="R30"]' --exclude='datafield[@tag="R48"]' \
 --exclude='datafield[@tag="R50"]' --exclude='datafield[@tag="R51"]' \
 --exclude='datafield[@tag="R55"]' --exclude='datafield[@tag="R90"]' \
 --exclude='datafield[@tag="R95"]' --exclude='datafield[@tag="Z39"]' \
 --exclude='datafield[@tag="ZPO"]'  $WD/$AF > $WD/$CXML1
date
echo "Filtrace datafieldu skoncena"

rm $WD/$AF

echo "Vstup z NK smazan"

echo "Odstranuji zaznamy bez 040"
date
python $BD/del_without_40.py -o $WD/$CXML $WD/$CXML1
date
echo "Zaznamy bez 040 odstraneny"

echo "Puvodni pocet zaznamu"

grep -e "<record>" $WD/$CXML1 | wc -l 

echo "Puvodni pocet poli 040"

grep -e 'tag="040"' $WD/$CXML1 | wc -l 

echo "Vystupni pocet zaznamu"

grep -e "<record>" $WD/$CXML | wc -l

echo "Vystpuni pocet poli 040"

grep -e 'tag="040"' $WD/$CXML | wc -l

echo "Mazu Pracovni soubor"

rm $WD/$CXML1
date
echo "Filtrace skoncena"
