#!/bin/bash
# verze 1.0 (c) 2017 Vaclav Jansa, Osvobozena knihovna, z.s.


echo "Vypisuji aktivni TCN"
date
psql -h localhost -p 5432 -U evergreen -c "select tcn_value from biblio.record_entry where not deleted" | perl -npe 's/^\s+//;' > $WD/biblio_tcns 

echo "Vypisuji aktivni autority"
date
psql -h localhost -p 5432 -U evergreen -c "SELECT id FROM authority.record_entry where not deleted" | perl -npe 's/^\s+//;' > $WD/auth_ids

echo "Exportuji bibliograficke zaznamy"
date
cat $WD/biblio_tcns | marc_export -c /openils/conf/opensrf_core.xml -f XML -e UTF-8 -x /openils/conf/fm_IDL.xml  --type BIBLIO --store cstore > $WD/$EGBIB

echo "Exportuji autoritni zaznamy"
date
cat $WD/auth_ids | marc_export -c /openils/conf/opensrf_core.xml -f XML -e UTF-8 -x /openils/conf/fm_IDL.xml  --type AUTHORITY --store cstore > $WD/$EGAUTH

echo "Hotovo"
date
