#!/bin/bash
# skript s definicemi promenych pro aktualizacni skripty, spousti se: source 0_env.sh
# verze 1.0 (c) 2017 Vaclav Jansa, Osvobozena knihovna, z.s.

export NK_USER="NK_FTP_USER"    # FTP uzivatel pro stazeni autorit z NK
export NK_PASS="NK_FTP_PASSWORD"  # heslo FTP 
export EG_ADMIN="EVERGREEN_ADMIN" # administratorsky ucet evergreenu
export EG_PASS="EVERGREEN_PASSWORD" # heslo administratora evergreenu
export WD="/home/opensrf/Autority/work" # pracovni adresar
export BD="/home/opensrf/Autority/bin" # adresar s programy
export AFG="aut_exp.xml.gz" # komprimovany soubor autorit
export AF="aut_exp.xml" # rozbaleny soubor s autoritami z NK
export CXML1="aut_clean1.xml" # mezistupen cisteni, odstranene necistelne TAGy
export CXML="aut_clean.xml" # finalni cisteni, odstranene nevalidni zaznamy bez TAGu 040
export EGBIB="EG_biblio_UTF-8.xml" # export aktivnich bibliografickych zaznamu z Evergreenu
export EGAUTH="EG_auth_UTF-8.xml" # export soucasnych autorit z Evergreenu

export CUT1="cut1.xml" # vystup skriptu a.py, zbytek zaznamu, ktere nejsou aktualizaci stavajicich autorit
export CUT2="cut2.xml" # vystup skriptu b.py, zbytek zaznamu, ktere nebyly pouzity na zaklade autoritnich ID v bibliografickych datech
export DELETED="deleted.txt" # seznam autorit v evergreenu, ktere nebyly aktualizovany, tj. autority nejsou v datech z NK
export AUPDATE="autority_update.txt" # TSV soubor pro aktualizaci autorit v evergreenu ulozenych
export AINSERT="autority_insert.xml" # autoritni XML s novymi autoritami nalezenymi dle autoritnich identifikatoru v bibliografickych datech
export AFULLTEXT="autority_fulltext.xml" # autoritni XML s novymi autoritami nalezencyh dle fultextoveho vyhledavani

export RUN_PSQL="psql -U evergreen -h localhost -d evergreen " # spusteni psql k evergreenove databazi

export AREINSERT="a_insert.are"
export PGLOADER_INSERT="pg_loader_insert"
export AREFULLTEXT="a_fulltext.are"
export PGLOADER_FULLTEXT="pg_loader_fulltext"


echo "Prostredi nastaveno"
