#!/bin/bash
# verze 1.0 (c) 2017 Vaclav Jansa, Osvobozena knihovna, z.s.


echo "Smazani tabulky autorit pro update"

${RUN_PSQL} <<SQLT
DROP TABLE staging_auth_update;
SQLT

echo "Vytvoreni prazdne tabulky autorit pro update"

${RUN_PSQL} <<SQLT
CREATE TABLE staging_auth_update (egid int, marc text);
SQLT

echo "Nahrani zaznamu pro update"
date

${RUN_PSQL} <<SQLT
COPY staging_auth_update FROM '$WD/$AUPDATE';
SQLT

date
echo "Data nahrana"

echo "Aktualizace autoritnich zaznamu v databazi"
date
${RUN_PSQL} <<SQLT
UPDATE authority.record_entry SET marc=st.marc FROM staging_auth_update st WHERE id=st.egid;
SQLT
date
echo "Aktualizace autoritnich zaznamu skoncily"
